Asking for release: Eclipse 2019-06 incompatible with Tycho because of Maven 3.6.1 bug

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Asking for release: Eclipse 2019-06 incompatible with Tycho because of Maven 3.6.1 bug

Mickael Istria-2
Hi all,

Eclipse m2e did include a newer release of Maven in order to greatly
improve its performances. This release was 3.6.1 (3.6.0 had a bug making
some of its APIs unusable by m2e internals).
However, Maven 3.6.1 also breaks compatibility with Eclipse Tycho. It was
the topic of a Jira, that was fixed.
The only way to get it all working would be to adopt a newer version of
Maven in next release of m2e (in September).

Is there a date already set for 3.6.2 release?
Could it be pretty soon as this issue is basically hurting all Eclipse
plugin developers (which we assume 99% use the Eclipse IDE and Eclipse
Tycho) ?

Thanks in advance

--
Mickael Istria
Eclipse IDE <https://www.eclipse.org/downloads/eclipse-packages/>
developer, for Red Hat Developers <https://developers.redhat.com/>
Reply | Threaded
Open this post in threaded view
|

Re: Asking for release: Eclipse 2019-06 incompatible with Tycho because of Maven 3.6.1 bug

Michael Osipov-2
Am 2019-06-26 um 16:51 schrieb Mickael Istria:

> Hi all,
>
> Eclipse m2e did include a newer release of Maven in order to greatly
> improve its performances. This release was 3.6.1 (3.6.0 had a bug making
> some of its APIs unusable by m2e internals).
> However, Maven 3.6.1 also breaks compatibility with Eclipse Tycho. It was
> the topic of a Jira, that was fixed.
> The only way to get it all working would be to adopt a newer version of
> Maven in next release of m2e (in September).
>
> Is there a date already set for 3.6.2 release?
> Could it be pretty soon as this issue is basically hurting all Eclipse
> plugin developers (which we assume 99% use the Eclipse IDE and Eclipse
> Tycho) ?

I don't see anything blocking this. We just need someone to be the
release manager for 3.6.2. Any volunteers?

Michael

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Asking for release: Eclipse 2019-06 incompatible with Tycho because of Maven 3.6.1 bug

Enrico Olivelli
Il mer 26 giu 2019, 22:39 Michael Osipov <[hidden email]> ha scritto:

> Am 2019-06-26 um 16:51 schrieb Mickael Istria:
> > Hi all,
> >
> > Eclipse m2e did include a newer release of Maven in order to greatly
> > improve its performances. This release was 3.6.1 (3.6.0 had a bug making
> > some of its APIs unusable by m2e internals).
> > However, Maven 3.6.1 also breaks compatibility with Eclipse Tycho. It was
> > the topic of a Jira, that was fixed.
> > The only way to get it all working would be to adopt a newer version of
> > Maven in next release of m2e (in September).
> >
> > Is there a date already set for 3.6.2 release?
> > Could it be pretty soon as this issue is basically hurting all Eclipse
> > plugin developers (which we assume 99% use the Eclipse IDE and Eclipse
> > Tycho) ?
>
> I don't see anything blocking this. We just need someone to be the
> release manager for 3.6.2. Any volunteers?
>

I will be happy to try, but I will be on vacation next week
I have already managed releases for plugins I guess the procedure is
somehow more complex.

If I understand correctly there is a bit of hurry, If any other volunteer
steps in I can do the next time.


Enrico


> Michael
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Asking for release: Eclipse 2019-06 incompatible with Tycho because of Maven 3.6.1 bug

Mickael Istria-2
Have things improved so the release can now be planned soon?